"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.getSdk = exports.GetExpensesQueryDocument = exports.GetExpensesRequestJsonRequestQueryOptionsOrder = exports.PayperSchemaJsonExpenseCurrencySymbol = void 0;
var PayperSchemaJsonExpenseCurrencySymbol;
(function (PayperSchemaJsonExpenseCurrencySymbol) {
    PayperSchemaJsonExpenseCurrencySymbol["Eur"] = "Eur";
    PayperSchemaJsonExpenseCurrencySymbol["Usd"] = "Usd";
})(PayperSchemaJsonExpenseCurrencySymbol = exports.PayperSchemaJsonExpenseCurrencySymbol || (exports.PayperSchemaJsonExpenseCurrencySymbol = {}));
var GetExpensesRequestJsonRequestQueryOptionsOrder;
(function (GetExpensesRequestJsonRequestQueryOptionsOrder) {
    GetExpensesRequestJsonRequestQueryOptionsOrder["DocumentDate"] = "DocumentDate";
})(GetExpensesRequestJsonRequestQueryOptionsOrder = exports.GetExpensesRequestJsonRequestQueryOptionsOrder || (exports.GetExpensesRequestJsonRequestQueryOptionsOrder = {}));
exports.GetExpensesQueryDocument = { "kind": "Document", "definitions": [{ "kind": "OperationDefinition", "operation": "query", "name": { "kind": "Name", "value": "getExpensesQuery" }, "variableDefinitions": [{ "kind": "VariableDefinition", "variable": { "kind": "Variable", "name": { "kind": "Name", "value": "input" } }, "type": { "kind": "NamedType", "name": { "kind": "Name", "value": "GetExpensesRequestJsonRequest" } } }], "selectionSet": { "kind": "SelectionSet", "selections": [{ "kind": "Field", "name": { "kind": "Name", "value": "getExpenses" }, "arguments": [{ "kind": "Argument", "name": { "kind": "Name", "value": "input" }, "value": { "kind": "Variable", "name": { "kind": "Name", "value": "input" } } }], "selectionSet": { "kind": "SelectionSet", "selections": [{ "kind": "Field", "name": { "kind": "Name", "value": "description" } }, { "kind": "Field", "name": { "kind": "Name", "value": "expenses" }, "selectionSet": { "kind": "SelectionSet", "selections": [{ "kind": "Field", "name": { "kind": "Name", "value": "created_at" } }, { "kind": "Field", "name": { "kind": "Name", "value": "currency_symbol" } }, { "kind": "Field", "name": { "kind": "Name", "value": "document_date" } }, { "kind": "Field", "name": { "kind": "Name", "value": "document_id" } }, { "kind": "Field", "name": { "kind": "Name", "value": "document_type" } }, { "kind": "Field", "name": { "kind": "Name", "value": "file_name" } }, { "kind": "Field", "name": { "kind": "Name", "value": "file_url" } }, { "kind": "Field", "name": { "kind": "Name", "value": "foreign_total_for_payment" } }, { "kind": "Field", "name": { "kind": "Name", "value": "provider" } }, { "kind": "Field", "name": { "kind": "Name", "value": "recognized_vat_payment" } }, { "kind": "Field", "name": { "kind": "Name", "value": "remarks" } }, { "kind": "Field", "name": { "kind": "Name", "value": "status_classification" } }, { "kind": "Field", "name": { "kind": "Name", "value": "system_id" } }, { "kind": "Field", "name": { "kind": "Name", "value": "total_for_payment" } }, { "kind": "Field", "name": { "kind": "Name", "value": "total_for_vat" } }, { "kind": "Field", "name": { "kind": "Name", "value": "updated_at" } }, { "kind": "Field", "name": { "kind": "Name", "value": "vat_payment" } }] } }, { "kind": "Field", "name": { "kind": "Name", "value": "next_page" } }, { "kind": "Field", "name": { "kind": "Name", "value": "result" } }, { "kind": "Field", "name": { "kind": "Name", "value": "total_entries" } }, { "kind": "Field", "name": { "kind": "Name", "value": "total_pages" } }] } }] } }] };
function getSdk(requester) {
    return {
        getExpensesQuery(variables, options) {
            return requester(exports.GetExpensesQueryDocument, variables, options);
        }
    };
}
exports.getSdk = getSdk;
//# sourceMappingURL=sdk.js.map